# encoding: utf-8
# In order for the generated lexer to subclass our lexer base class, we
# have to patch the generated lexer using InputFormLexer.py.patch
#
# This is applied in the top-level Makefile. However to apply by hand run:
#    patch < InputFormLexer.py.patch

from antlr4.ParserRuleContext import RuleContext
from FoxySheep.lexer_base import LexerBase
from FoxySheep.generated.InputFormParser import PredictionContextCache, InputFormParser

# Generated from InputForm.g4 by ANTLR 4.7.2
from antlr4 import ATNDeserializer, DFA, LexerATNSimulator
from io import StringIO
from typing.io import TextIO
import sys


def serializedATN():
    with StringIO() as buf:
        buf.write("\3\u608b\ua72a\u8133\ub9ed\u417c\u3be7\u7786\u5964\2\u00b7")
        buf.write("\u040a\b\1\4\2\t\2\4\3\t\3\4\4\t\4\4\5\t\5\4\6\t\6\4\7")
        buf.write("\t\7\4\b\t\b\4\t\t\t\4\n\t\n\4\13\t\13\4\f\t\f\4\r\t\r")
        buf.write("\4\16\t\16\4\17\t\17\4\20\t\20\4\21\t\21\4\22\t\22\4\23")
        buf.write("\t\23\4\24\t\24\4\25\t\25\4\26\t\26\4\27\t\27\4\30\t\30")
        buf.write("\4\31\t\31\4\32\t\32\4\33\t\33\4\34\t\34\4\35\t\35\4\36")
        buf.write("\t\36\4\37\t\37\4 \t \4!\t!\4\"\t\"\4#\t#\4$\t$\4%\t%")
        buf.write("\4&\t&\4\'\t\'\4(\t(\4)\t)\4*\t*\4+\t+\4,\t,\4-\t-\4.")
        buf.write("\t.\4/\t/\4\60\t\60\4\61\t\61\4\62\t\62\4\63\t\63\4\64")
        buf.write("\t\64\4\65\t\65\4\66\t\66\4\67\t\67\48\t8\49\t9\4:\t:")
        buf.write("\4;\t;\4<\t<\4=\t=\4>\t>\4?\t?\4@\t@\4A\tA\4B\tB\4C\t")
        buf.write("C\4D\tD\4E\tE\4F\tF\4G\tG\4H\tH\4I\tI\4J\tJ\4K\tK\4L\t")
        buf.write("L\4M\tM\4N\tN\4O\tO\4P\tP\4Q\tQ\4R\tR\4S\tS\4T\tT\4U\t")
        buf.write("U\4V\tV\4W\tW\4X\tX\4Y\tY\4Z\tZ\4[\t[\4\\\t\\\4]\t]\4")
        buf.write("^\t^\4_\t_\4`\t`\4a\ta\4b\tb\4c\tc\4d\td\4e\te\4f\tf\4")
        buf.write("g\tg\4h\th\4i\ti\4j\tj\4k\tk\4l\tl\4m\tm\4n\tn\4o\to\4")
        buf.write("p\tp\4q\tq\4r\tr\4s\ts\4t\tt\4u\tu\4v\tv\4w\tw\4x\tx\4")
        buf.write("y\ty\4z\tz\4{\t{\4|\t|\4}\t}\4~\t~\4\177\t\177\4\u0080")
        buf.write("\t\u0080\4\u0081\t\u0081\4\u0082\t\u0082\4\u0083\t\u0083")
        buf.write("\4\u0084\t\u0084\4\u0085\t\u0085\4\u0086\t\u0086\4\u0087")
        buf.write("\t\u0087\4\u0088\t\u0088\4\u0089\t\u0089\4\u008a\t\u008a")
        buf.write("\4\u008b\t\u008b\4\u008c\t\u008c\4\u008d\t\u008d\4\u008e")
        buf.write("\t\u008e\4\u008f\t\u008f\4\u0090\t\u0090\4\u0091\t\u0091")
        buf.write("\4\u0092\t\u0092\4\u0093\t\u0093\4\u0094\t\u0094\4\u0095")
        buf.write("\t\u0095\4\u0096\t\u0096\4\u0097\t\u0097\4\u0098\t\u0098")
        buf.write("\4\u0099\t\u0099\4\u009a\t\u009a\4\u009b\t\u009b\4\u009c")
        buf.write("\t\u009c\4\u009d\t\u009d\4\u009e\t\u009e\4\u009f\t\u009f")
        buf.write("\4\u00a0\t\u00a0\4\u00a1\t\u00a1\4\u00a2\t\u00a2\4\u00a3")
        buf.write("\t\u00a3\4\u00a4\t\u00a4\4\u00a5\t\u00a5\4\u00a6\t\u00a6")
        buf.write("\4\u00a7\t\u00a7\4\u00a8\t\u00a8\4\u00a9\t\u00a9\4\u00aa")
        buf.write("\t\u00aa\4\u00ab\t\u00ab\4\u00ac\t\u00ac\4\u00ad\t\u00ad")
        buf.write("\4\u00ae\t\u00ae\4\u00af\t\u00af\4\u00b0\t\u00b0\4\u00b1")
        buf.write("\t\u00b1\4\u00b2\t\u00b2\4\u00b3\t\u00b3\4\u00b4\t\u00b4")
        buf.write("\4\u00b5\t\u00b5\4\u00b6\t\u00b6\4\u00b7\t\u00b7\4\u00b8")
        buf.write("\t\u00b8\4\u00b9\t\u00b9\4\u00ba\t\u00ba\4\u00bb\t\u00bb")
        buf.write("\4\u00bc\t\u00bc\4\u00bd\t\u00bd\4\u00be\t\u00be\4\u00bf")
        buf.write("\t\u00bf\4\u00c0\t\u00c0\4\u00c1\t\u00c1\4\u00c2\t\u00c2")
        buf.write("\4\u00c3\t\u00c3\4\u00c4\t\u00c4\4\u00c5\t\u00c5\4\u00c6")
        buf.write("\t\u00c6\4\u00c7\t\u00c7\4\u00c8\t\u00c8\4\u00c9\t\u00c9")
        buf.write("\4\u00ca\t\u00ca\4\u00cb\t\u00cb\4\u00cc\t\u00cc\4\u00cd")
        buf.write("\t\u00cd\3\2\6\2\u019d\n\2\r\2\16\2\u019e\3\2\7\2\u01a2")
        buf.write("\n\2\f\2\16\2\u01a5\13\2\3\3\3\3\5\3\u01a9\n\3\3\4\3\4")
        buf.write("\5\4\u01ad\n\4\3\5\3\5\3\6\3\6\3\7\3\7\3\7\7\7\u01b6\n")
        buf.write("\7\f\7\16\7\u01b9\13\7\3\7\7\7\u01bc\n\7\f\7\16\7\u01bf")
        buf.write("\13\7\3\7\3\7\3\7\5\7\u01c4\n\7\3\b\3\b\6\b\u01c8\n\b")
        buf.write("\r\b\16\b\u01c9\3\b\5\b\u01cd\n\b\3\b\7\b\u01d0\n\b\f")
        buf.write("\b\16\b\u01d3\13\b\3\b\7\b\u01d6\n\b\f\b\16\b\u01d9\13")
        buf.write("\b\3\b\5\b\u01dc\n\b\3\b\6\b\u01df\n\b\r\b\16\b\u01e0")
        buf.write("\5\b\u01e3\n\b\3\t\6\t\u01e6\n\t\r\t\16\t\u01e7\3\n\3")
        buf.write("\n\3\13\3\13\5\13\u01ee\n\13\3\f\3\f\5\f\u01f2\n\f\3\f")
        buf.write("\3\f\3\r\6\r\u01f7\n\r\r\r\16\r\u01f8\3\16\3\16\5\16\u01fd")
        buf.write("\n\16\3\17\3\17\3\17\3\17\5\17\u0203\n\17\3\20\3\20\3")
        buf.write("\20\3\20\3\20\3\20\3\20\3\21\3\21\3\22\3\22\7\22\u0210")
        buf.write("\n\22\f\22\16\22\u0213\13\22\3\22\3\22\3\22\3\22\3\23")
        buf.write("\3\23\3\23\3\24\3\24\3\24\3\25\3\25\3\25\3\26\3\26\3\26")
        buf.write("\3\27\3\27\3\27\3\30\3\30\3\30\3\31\3\31\3\32\3\32\3\32")
        buf.write("\3\33\3\33\3\33\3\34\3\34\3\34\3\35\3\35\3\35\3\36\3\36")
        buf.write("\3\36\3\37\3\37\3\37\3 \3 \3 \3!\3!\3!\3\"\3\"\3\"\3#")
        buf.write("\3#\3$\3$\3$\3%\3%\3%\3&\3&\3&\3\'\3\'\3\'\3(\3(\3(\3")
        buf.write(")\3)\3)\3*\3*\3*\3+\3+\3,\3,\3-\3-\3.\3.\3.\3/\3/\3/\3")
        buf.write("/\3\60\3\60\3\60\3\61\3\61\3\61\3\61\3\62\3\62\3\62\3")
        buf.write("\62\3\63\3\63\5\63\u0279\n\63\3\64\3\64\3\65\3\65\3\65")
        buf.write("\3\66\3\66\3\67\3\67\5\67\u0284\n\67\38\38\38\39\39\3")
        buf.write(":\3:\3:\5:\u028e\n:\3;\3;\3;\3<\3<\3=\3=\3>\3>\3>\5>\u029a")
        buf.write("\n>\3?\3?\3?\3@\3@\3A\3A\3B\3B\3C\3C\3D\3D\3E\3E\3F\3")
        buf.write("F\3G\3G\3H\3H\3I\3I\3J\3J\3K\3K\3L\3L\3M\3M\3M\3N\3N\3")
        buf.write("O\3O\3P\3P\3Q\3Q\3R\3R\3S\3S\3T\3T\3U\3U\3V\3V\3W\3W\3")
        buf.write("X\3X\3Y\3Y\3Z\3Z\3[\3[\3\\\3\\\3]\3]\3^\3^\3_\3_\3`\3")
        buf.write("`\3`\3`\3a\3a\3a\3b\3b\3c\3c\3c\3c\3d\3d\3d\3e\3e\3e\3")
        buf.write("f\3f\3g\3g\3g\3h\6h\u02f9\nh\rh\16h\u02fa\3i\3i\3j\3j")
        buf.write("\3j\3k\3k\3l\3l\3l\3m\3m\3m\3n\3n\3n\3o\3o\3p\3p\3p\3")
        buf.write("q\3q\3r\3r\3r\3s\3s\3s\3s\3t\3t\3t\3u\3u\3u\3v\3v\3v\3")
        buf.write("w\3w\3w\3x\3x\3y\3y\3y\3z\3z\3z\3{\3{\3{\3|\3|\3|\3}\3")
        buf.write("}\3~\3~\3~\3~\3\177\3\177\3\177\3\u0080\3\u0080\3\u0080")
        buf.write("\3\u0081\3\u0081\3\u0081\3\u0082\3\u0082\3\u0083\3\u0083")
        buf.write("\3\u0084\3\u0084\3\u0084\3\u0085\3\u0085\3\u0086\3\u0086")
        buf.write("\3\u0086\3\u0087\3\u0087\3\u0087\3\u0088\3\u0088\3\u0088")
        buf.write("\3\u0089\3\u0089\3\u0089\3\u0089\3\u008a\3\u008a\3\u008a")
        buf.write("\3\u008b\3\u008b\3\u008b\3\u008c\3\u008c\3\u008d\3\u008d")
        buf.write("\3\u008d\3\u008e\3\u008e\3\u008e\3\u008f\3\u008f\3\u008f")
        buf.write("\3\u008f\3\u0090\3\u0090\3\u0090\3\u0091\3\u0091\3\u0092")
        buf.write("\3\u0092\3\u0092\3\u0093\3\u0093\3\u0094\3\u0094\3\u0095")
        buf.write("\3\u0095\3\u0096\3\u0096\3\u0097\3\u0097\3\u0098\3\u0098")
        buf.write("\3\u0099\3\u0099\3\u0099\3\u0099\3\u0099\3\u009a\3\u009a")
        buf.write("\3\u009b\3\u009b\3\u009c\3\u009c\3\u009d\3\u009d\3\u009e")
        buf.write("\3\u009e\3\u009f\3\u009f\3\u00a0\3\u00a0\3\u00a1\3\u00a1")
        buf.write("\3\u00a2\3\u00a2\3\u00a3\3\u00a3\3\u00a4\3\u00a4\3\u00a4")
        buf.write("\3\u00a5\3\u00a5\3\u00a6\3\u00a6\3\u00a7\3\u00a7\3\u00a8")
        buf.write("\3\u00a8\3\u00a9\3\u00a9\3\u00aa\3\u00aa\3\u00ab\3\u00ab")
        buf.write("\3\u00ac\3\u00ac\3\u00ad\3\u00ad\3\u00ae\3\u00ae\3\u00af")
        buf.write("\3\u00af\3\u00b0\3\u00b0\3\u00b1\3\u00b1\3\u00b2\3\u00b2")
        buf.write("\3\u00b3\3\u00b3\3\u00b3\3\u00b4\3\u00b4\3\u00b5\3\u00b5")
        buf.write("\3\u00b5\3\u00b6\3\u00b6\3\u00b6\3\u00b7\3\u00b7\3\u00b7")
        buf.write("\3\u00b8\3\u00b8\3\u00b8\3\u00b9\3\u00b9\3\u00b9\3\u00ba")
        buf.write("\3\u00ba\3\u00ba\3\u00bb\3\u00bb\3\u00bb\3\u00bc\3\u00bc")
        buf.write("\3\u00bc\3\u00bd\3\u00bd\3\u00bd\3\u00be\3\u00be\3\u00be")
        buf.write("\3\u00bf\3\u00bf\3\u00bf\3\u00c0\3\u00c0\3\u00c0\3\u00c1")
        buf.write("\3\u00c1\3\u00c1\3\u00c2\3\u00c2\3\u00c2\3\u00c3\3\u00c3")
        buf.write("\3\u00c3\3\u00c4\3\u00c4\3\u00c4\3\u00c5\3\u00c5\3\u00c6")
        buf.write("\3\u00c6\3\u00c7\3\u00c7\5\u00c7\u03f3\n\u00c7\3\u00c8")
        buf.write("\3\u00c8\3\u00c9\3\u00c9\3\u00ca\3\u00ca\3\u00ca\3\u00cb")
        buf.write("\3\u00cb\3\u00cb\3\u00cb\3\u00cc\3\u00cc\6\u00cc\u0402")
        buf.write("\n\u00cc\r\u00cc\16\u00cc\u0403\3\u00cc\3\u00cc\3\u00cd")
        buf.write("\5\u00cd\u0409\n\u00cd\3\u0211\2\u00ce\3\3\5\2\7\2\t\2")
        buf.write("\13\2\r\4\17\5\21\6\23\2\25\2\27\7\31\2\33\2\35\2\37\2")
        buf.write("!\2#\b%\t\'\n)\13+\f-\r/\16\61\17\63\20\65\21\67\229\23")
        buf.write(";\24=\25?\26A\27C\30E\31G\32I\33K\34M\35O\36Q\37S U!W")
        buf.write("\"Y#[$]%_&a\'c(e)g\2i\2k*m+o\2q\2s,u\2w\2y\2{-}\2\177")
        buf.write("\2\u0081\2\u0083.\u0085/\u0087\60\u0089\61\u008b\62\u008d")
        buf.write("\63\u008f\64\u0091\65\u0093\66\u0095\67\u00978\u00999")
        buf.write("\u009b:\u009d;\u009f<\u00a1=\u00a3>\u00a5?\u00a7@\u00a9")
        buf.write("A\u00abB\u00adC\u00afD\u00b1E\u00b3F\u00b5G\u00b7H\u00b9")
        buf.write("I\u00bbJ\u00bdK\u00bfL\u00c1M\u00c3N\u00c5O\u00c7P\u00c9")
        buf.write("Q\u00cbR\u00cdS\u00cfT\u00d1\2\u00d3U\u00d5V\u00d7W\u00d9")
        buf.write("X\u00dbY\u00ddZ\u00df[\u00e1\\\u00e3]\u00e5^\u00e7_\u00e9")
        buf.write("`\u00eba\u00edb\u00efc\u00f1d\u00f3e\u00f5f\u00f7g\u00f9")
        buf.write("h\u00fbi\u00fdj\u00ffk\u0101l\u0103m\u0105n\u0107o\u0109")
        buf.write("p\u010bq\u010dr\u010fs\u0111t\u0113u\u0115v\u0117w\u0119")
        buf.write("x\u011by\u011dz\u011f{\u0121|\u0123}\u0125~\u0127\177")
        buf.write("\u0129\u0080\u012b\u0081\u012d\u0082\u012f\u0083\u0131")
        buf.write("\u0084\u0133\u0085\u0135\u0086\u0137\u0087\u0139\u0088")
        buf.write("\u013b\u0089\u013d\u008a\u013f\u008b\u0141\u008c\u0143")
        buf.write("\u008d\u0145\u008e\u0147\u008f\u0149\u0090\u014b\u0091")
        buf.write("\u014d\u0092\u014f\u0093\u0151\u0094\u0153\u0095\u0155")
        buf.write("\u0096\u0157\u0097\u0159\u0098\u015b\u0099\u015d\u009a")
        buf.write("\u015f\u009b\u0161\u009c\u0163\u009d\u0165\u009e\u0167")
        buf.write("\u009f\u0169\u00a0\u016b\u00a1\u016d\u00a2\u016f\u00a3")
        buf.write("\u0171\u00a4\u0173\u00a5\u0175\u00a6\u0177\u00a7\u0179")
        buf.write("\u00a8\u017b\u00a9\u017d\u00aa\u017f\u00ab\u0181\u00ac")
        buf.write("\u0183\u00ad\u0185\u00ae\u0187\u00af\u0189\u00b0\u018b")
        buf.write("\u00b1\u018d\u00b2\u018f\u00b3\u0191\u00b4\u0193\u00b5")
        buf.write("\u0195\u00b6\u0197\u00b7\u0199\2\3\2\13\64\2C\\c|\u00c2")
        buf.write("\u00d8\u00da\u00f8\u00fa\u0105\u0108\u0109\u010e\u0111")
        buf.write("\u0114\u0117\u011c\u012f\u0133\u0133\u0143\u0144\u0149")
        buf.write("\u014a\u0152\u0155\u015a\u0163\u0166\u0167\u0170\u0173")
        buf.write("\u017f\u0180\u0393\u03a3\u03a5\u03ab\u03b3\u03cb\u03d3")
        buf.write("\u03d4\u03d7\u03d8\u03dc\u03e3\u03f2\u03f3\u03f7\u03f7")
        buf.write("\u210c\u210e\u2112\u2115\u211d\u211e\u212a\u212a\u212e")
        buf.write("\u212f\u2131\u2133\u2135\u213a\uf6b4\uf6b7\uf6b9\uf6b9")
        buf.write("\uf6bb\uf6be\uf6c0\uf6c1\uf6c3\uf702\uf732\uf733\uf772")
        buf.write("\uf772\uf774\uf775\uf778\uf778\uf77b\uf77c\uf77f\uf782")
        buf.write("\uf784\uf78d\uf78f\uf792\uf795\uf79c\uf79e\uf7a4\uf7a6")
        buf.write("\uf7bf\uf802\uf835\ufb03\ufb04C\2&&\u00a3\u00a5\u00a7")
        buf.write("\u00a7\u00a9\u00a9\u00ab\u00ab\u00ad\u00ad\u00b0\u00b0")
        buf.write("\u00b2\u00b2\u00b7\u00b8\u00ba\u00ba\u00bd\u00bd\u00c1")
        buf.write("\u00c1\u02c9\u02c9\u02da\u02da\u2015\u2016\u2022\u2024")
        buf.write("\u2028\u2028\u2034\u2035\u2037\u2038\u2062\u2062\u20ae")
        buf.write("\u20ae\u2111\u2111\u2124\u2124\u2129\u2129\u212d\u212d")
        buf.write("\u21b7\u21b7\u2207\u2207\u2220\u2224\u22f0\u22f3\u2302")
        buf.write("\u2302\u231a\u231a\u231c\u231c\u23b6\u23b7\u2502\u2502")
        buf.write("\u2504\u2504\u25a2\u25a3\u25ac\u25ac\u25b0\u25b1\u25b4")
        buf.write("\u25b5\u25be\u25bf\u25c2\u25c2\u25c8\u25c9\u25cd\u25cd")
        buf.write("\u25d1\u25d1\u25e8\u25e8\u25fd\u25fe\u2607\u2607\u263b")
        buf.write("\u263c\u2662\u2665\u266f\u2671\u2738\u2738\uf3a2\uf3a2")
        buf.write("\uf3ba\uf3bb\uf529\uf52a\uf722\uf725\uf727\uf727\uf74b")
        buf.write("\uf74c\uf74f\uf759\uf762\uf762\uf765\uf765\uf768\uf768")
        buf.write("\uf76a\uf76e\uf7d6\uf7d6\uf802\uf835\ufe37\ufe3a\3\2\62")
        buf.write(";\4\2C\\c|\4\2$$^^\n\2$$))^^ddhhppttvv\5\2\62;CHch\4\2")
        buf.write("\13\13\17\17\t\2\"\"\u2007\u2007\u200b\u200c\u2061\u2061")
        buf.write("\u2425\u2425\uf382\uf382\uf384\uf386\2\u0411\2\3\3\2\2")
        buf.write("\2\2\r\3\2\2\2\2\17\3\2\2\2\2\21\3\2\2\2\2\27\3\2\2\2")
        buf.write("\2#\3\2\2\2\2%\3\2\2\2\2\'\3\2\2\2\2)\3\2\2\2\2+\3\2\2")
        buf.write("\2\2-\3\2\2\2\2/\3\2\2\2\2\61\3\2\2\2\2\63\3\2\2\2\2\65")
        buf.write("\3\2\2\2\2\67\3\2\2\2\29\3\2\2\2\2;\3\2\2\2\2=\3\2\2\2")
        buf.write("\2?\3\2\2\2\2A\3\2\2\2\2C\3\2\2\2\2E\3\2\2\2\2G\3\2\2")
        buf.write("\2\2I\3\2\2\2\2K\3\2\2\2\2M\3\2\2\2\2O\3\2\2\2\2Q\3\2")
        buf.write("\2\2\2S\3\2\2\2\2U\3\2\2\2\2W\3\2\2\2\2Y\3\2\2\2\2[\3")
        buf.write("\2\2\2\2]\3\2\2\2\2_\3\2\2\2\2a\3\2\2\2\2c\3\2\2\2\2e")
        buf.write("\3\2\2\2\2k\3\2\2\2\2m\3\2\2\2\2s\3\2\2\2\2{\3\2\2\2\2")
        buf.write("\u0083\3\2\2\2\2\u0085\3\2\2\2\2\u0087\3\2\2\2\2\u0089")
        buf.write("\3\2\2\2\2\u008b\3\2\2\2\2\u008d\3\2\2\2\2\u008f\3\2\2")
        buf.write("\2\2\u0091\3\2\2\2\2\u0093\3\2\2\2\2\u0095\3\2\2\2\2\u0097")
        buf.write("\3\2\2\2\2\u0099\3\2\2\2\2\u009b\3\2\2\2\2\u009d\3\2\2")
        buf.write("\2\2\u009f\3\2\2\2\2\u00a1\3\2\2\2\2\u00a3\3\2\2\2\2\u00a5")
        buf.write("\3\2\2\2\2\u00a7\3\2\2\2\2\u00a9\3\2\2\2\2\u00ab\3\2\2")
        buf.write("\2\2\u00ad\3\2\2\2\2\u00af\3\2\2\2\2\u00b1\3\2\2\2\2\u00b3")
        buf.write("\3\2\2\2\2\u00b5\3\2\2\2\2\u00b7\3\2\2\2\2\u00b9\3\2\2")
        buf.write("\2\2\u00bb\3\2\2\2\2\u00bd\3\2\2\2\2\u00bf\3\2\2\2\2\u00c1")
        buf.write("\3\2\2\2\2\u00c3\3\2\2\2\2\u00c5\3\2\2\2\2\u00c7\3\2\2")
        buf.write("\2\2\u00c9\3\2\2\2\2\u00cb\3\2\2\2\2\u00cd\3\2\2\2\2\u00cf")
        buf.write("\3\2\2\2\2\u00d3\3\2\2\2\2\u00d5\3\2\2\2\2\u00d7\3\2\2")
        buf.write("\2\2\u00d9\3\2\2\2\2\u00db\3\2\2\2\2\u00dd\3\2\2\2\2\u00df")
        buf.write("\3\2\2\2\2\u00e1\3\2\2\2\2\u00e3\3\2\2\2\2\u00e5\3\2\2")
        buf.write("\2\2\u00e7\3\2\2\2\2\u00e9\3\2\2\2\2\u00eb\3\2\2\2\2\u00ed")
        buf.write("\3\2\2\2\2\u00ef\3\2\2\2\2\u00f1\3\2\2\2\2\u00f3\3\2\2")
        buf.write("\2\2\u00f5\3\2\2\2\2\u00f7\3\2\2\2\2\u00f9\3\2\2\2\2\u00fb")
        buf.write("\3\2\2\2\2\u00fd\3\2\2\2\2\u00ff\3\2\2\2\2\u0101\3\2\2")
        buf.write("\2\2\u0103\3\2\2\2\2\u0105\3\2\2\2\2\u0107\3\2\2\2\2\u0109")
        buf.write("\3\2\2\2\2\u010b\3\2\2\2\2\u010d\3\2\2\2\2\u010f\3\2\2")
        buf.write("\2\2\u0111\3\2\2\2\2\u0113\3\2\2\2\2\u0115\3\2\2\2\2\u0117")
        buf.write("\3\2\2\2\2\u0119\3\2\2\2\2\u011b\3\2\2\2\2\u011d\3\2\2")
        buf.write("\2\2\u011f\3\2\2\2\2\u0121\3\2\2\2\2\u0123\3\2\2\2\2\u0125")
        buf.write("\3\2\2\2\2\u0127\3\2\2\2\2\u0129\3\2\2\2\2\u012b\3\2\2")
        buf.write("\2\2\u012d\3\2\2\2\2\u012f\3\2\2\2\2\u0131\3\2\2\2\2\u0133")
        buf.write("\3\2\2\2\2\u0135\3\2\2\2\2\u0137\3\2\2\2\2\u0139\3\2\2")
        buf.write("\2\2\u013b\3\2\2\2\2\u013d\3\2\2\2\2\u013f\3\2\2\2\2\u0141")
        buf.write("\3\2\2\2\2\u0143\3\2\2\2\2\u0145\3\2\2\2\2\u0147\3\2\2")
        buf.write("\2\2\u0149\3\2\2\2\2\u014b\3\2\2\2\2\u014d\3\2\2\2\2\u014f")
        buf.write("\3\2\2\2\2\u0151\3\2\2\2\2\u0153\3\2\2\2\2\u0155\3\2\2")
        buf.write("\2\2\u0157\3\2\2\2\2\u0159\3\2\2\2\2\u015b\3\2\2\2\2\u015d")
        buf.write("\3\2\2\2\2\u015f\3\2\2\2\2\u0161\3\2\2\2\2\u0163\3\2\2")
        buf.write("\2\2\u0165\3\2\2\2\2\u0167\3\2\2\2\2\u0169\3\2\2\2\2\u016b")
        buf.write("\3\2\2\2\2\u016d\3\2\2\2\2\u016f\3\2\2\2\2\u0171\3\2\2")
        buf.write("\2\2\u0173\3\2\2\2\2\u0175\3\2\2\2\2\u0177\3\2\2\2\2\u0179")
        buf.write("\3\2\2\2\2\u017b\3\2\2\2\2\u017d\3\2\2\2\2\u017f\3\2\2")
        buf.write("\2\2\u0181\3\2\2\2\2\u0183\3\2\2\2\2\u0185\3\2\2\2\2\u0187")
        buf.write("\3\2\2\2\2\u0189\3\2\2\2\2\u018b\3\2\2\2\2\u018d\3\2\2")
        buf.write("\2\2\u018f\3\2\2\2\2\u0191\3\2\2\2\2\u0193\3\2\2\2\2\u0195")
        buf.write("\3\2\2\2\2\u0197\3\2\2\2\3\u019c\3\2\2\2\5\u01a8\3\2\2")
        buf.write("\2\7\u01ac\3\2\2\2\t\u01ae\3\2\2\2\13\u01b0\3\2\2\2\r")
        buf.write("\u01c3\3\2\2\2\17\u01c5\3\2\2\2\21\u01e5\3\2\2\2\23\u01e9")
        buf.write("\3\2\2\2\25\u01ed\3\2\2\2\27\u01ef\3\2\2\2\31\u01f6\3")
        buf.write("\2\2\2\33\u01fc\3\2\2\2\35\u0202\3\2\2\2\37\u0204\3\2")
        buf.write("\2\2!\u020b\3\2\2\2#\u020d\3\2\2\2%\u0218\3\2\2\2\'\u021b")
        buf.write("\3\2\2\2)\u021e\3\2\2\2+\u0221\3\2\2\2-\u0224\3\2\2\2")
        buf.write("/\u0227\3\2\2\2\61\u022a\3\2\2\2\63\u022c\3\2\2\2\65\u022f")
        buf.write("\3\2\2\2\67\u0232\3\2\2\29\u0235\3\2\2\2;\u0238\3\2\2")
        buf.write("\2=\u023b\3\2\2\2?\u023e\3\2\2\2A\u0241\3\2\2\2C\u0244")
        buf.write("\3\2\2\2E\u0247\3\2\2\2G\u0249\3\2\2\2I\u024c\3\2\2\2")
        buf.write("K\u024f\3\2\2\2M\u0252\3\2\2\2O\u0255\3\2\2\2Q\u0258\3")
        buf.write("\2\2\2S\u025b\3\2\2\2U\u025e\3\2\2\2W\u0260\3\2\2\2Y\u0262")
        buf.write("\3\2\2\2[\u0264\3\2\2\2]\u0267\3\2\2\2_\u026b\3\2\2\2")
        buf.write("a\u026e\3\2\2\2c\u0272\3\2\2\2e\u0278\3\2\2\2g\u027a\3")
        buf.write("\2\2\2i\u027c\3\2\2\2k\u027f\3\2\2\2m\u0283\3\2\2\2o\u0285")
        buf.write("\3\2\2\2q\u0288\3\2\2\2s\u028d\3\2\2\2u\u028f\3\2\2\2")
        buf.write("w\u0292\3\2\2\2y\u0294\3\2\2\2{\u0299\3\2\2\2}\u029b\3")
        buf.write("\2\2\2\177\u029e\3\2\2\2\u0081\u02a0\3\2\2\2\u0083\u02a2")
        buf.write("\3\2\2\2\u0085\u02a4\3\2\2\2\u0087\u02a6\3\2\2\2\u0089")
        buf.write("\u02a8\3\2\2\2\u008b\u02aa\3\2\2\2\u008d\u02ac\3\2\2\2")
        buf.write("\u008f\u02ae\3\2\2\2\u0091\u02b0\3\2\2\2\u0093\u02b2\3")
        buf.write("\2\2\2\u0095\u02b4\3\2\2\2\u0097\u02b6\3\2\2\2\u0099\u02b8")
        buf.write("\3\2\2\2\u009b\u02bb\3\2\2\2\u009d\u02bd\3\2\2\2\u009f")
        buf.write("\u02bf\3\2\2\2\u00a1\u02c1\3\2\2\2\u00a3\u02c3\3\2\2\2")
        buf.write("\u00a5\u02c5\3\2\2\2\u00a7\u02c7\3\2\2\2\u00a9\u02c9\3")
        buf.write("\2\2\2\u00ab\u02cb\3\2\2\2\u00ad\u02cd\3\2\2\2\u00af\u02cf")
        buf.write("\3\2\2\2\u00b1\u02d1\3\2\2\2\u00b3\u02d3\3\2\2\2\u00b5")
        buf.write("\u02d5\3\2\2\2\u00b7\u02d7\3\2\2\2\u00b9\u02d9\3\2\2\2")
        buf.write("\u00bb\u02db\3\2\2\2\u00bd\u02dd\3\2\2\2\u00bf\u02df\3")
        buf.write("\2\2\2\u00c1\u02e3\3\2\2\2\u00c3\u02e6\3\2\2\2\u00c5\u02e8")
        buf.write("\3\2\2\2\u00c7\u02ec\3\2\2\2\u00c9\u02ef\3\2\2\2\u00cb")
        buf.write("\u02f2\3\2\2\2\u00cd\u02f4\3\2\2\2\u00cf\u02f8\3\2\2\2")
        buf.write("\u00d1\u02fc\3\2\2\2\u00d3\u02fe\3\2\2\2\u00d5\u0301\3")
        buf.write("\2\2\2\u00d7\u0303\3\2\2\2\u00d9\u0306\3\2\2\2\u00db\u0309")
        buf.write("\3\2\2\2\u00dd\u030c\3\2\2\2\u00df\u030e\3\2\2\2\u00e1")
        buf.write("\u0311\3\2\2\2\u00e3\u0313\3\2\2\2\u00e5\u0316\3\2\2\2")
        buf.write("\u00e7\u031a\3\2\2\2\u00e9\u031d\3\2\2\2\u00eb\u0320\3")
        buf.write("\2\2\2\u00ed\u0323\3\2\2\2\u00ef\u0326\3\2\2\2\u00f1\u0328")
        buf.write("\3\2\2\2\u00f3\u032b\3\2\2\2\u00f5\u032e\3\2\2\2\u00f7")
        buf.write("\u0331\3\2\2\2\u00f9\u0334\3\2\2\2\u00fb\u0336\3\2\2\2")
        buf.write("\u00fd\u033a\3\2\2\2\u00ff\u033d\3\2\2\2\u0101\u0340\3")
        buf.write("\2\2\2\u0103\u0343\3\2\2\2\u0105\u0345\3\2\2\2\u0107\u0347")
        buf.write("\3\2\2\2\u0109\u034a\3\2\2\2\u010b\u034c\3\2\2\2\u010d")
        buf.write("\u034f\3\2\2\2\u010f\u0352\3\2\2\2\u0111\u0355\3\2\2\2")
        buf.write("\u0113\u0359\3\2\2\2\u0115\u035c\3\2\2\2\u0117\u035f\3")
        buf.write("\2\2\2\u0119\u0361\3\2\2\2\u011b\u0364\3\2\2\2\u011d\u0367")
        buf.write("\3\2\2\2\u011f\u036b\3\2\2\2\u0121\u036e\3\2\2\2\u0123")
        buf.write("\u0370\3\2\2\2\u0125\u0373\3\2\2\2\u0127\u0375\3\2\2\2")
        buf.write("\u0129\u0377\3\2\2\2\u012b\u0379\3\2\2\2\u012d\u037b\3")
        buf.write("\2\2\2\u012f\u037d\3\2\2\2\u0131\u037f\3\2\2\2\u0133\u0384")
        buf.write("\3\2\2\2\u0135\u0386\3\2\2\2\u0137\u0388\3\2\2\2\u0139")
        buf.write("\u038a\3\2\2\2\u013b\u038c\3\2\2\2\u013d\u038e\3\2\2\2")
        buf.write("\u013f\u0390\3\2\2\2\u0141\u0392\3\2\2\2\u0143\u0394\3")
        buf.write("\2\2\2\u0145\u0396\3\2\2\2\u0147\u0398\3\2\2\2\u0149\u039b")
        buf.write("\3\2\2\2\u014b\u039d\3\2\2\2\u014d\u039f\3\2\2\2\u014f")
        buf.write("\u03a1\3\2\2\2\u0151\u03a3\3\2\2\2\u0153\u03a5\3\2\2\2")
        buf.write("\u0155\u03a7\3\2\2\2\u0157\u03a9\3\2\2\2\u0159\u03ab\3")
        buf.write("\2\2\2\u015b\u03ad\3\2\2\2\u015d\u03af\3\2\2\2\u015f\u03b1")
        buf.write("\3\2\2\2\u0161\u03b3\3\2\2\2\u0163\u03b5\3\2\2\2\u0165")
        buf.write("\u03b7\3\2\2\2\u0167\u03ba\3\2\2\2\u0169\u03bc\3\2\2\2")
        buf.write("\u016b\u03bf\3\2\2\2\u016d\u03c2\3\2\2\2\u016f\u03c5\3")
        buf.write("\2\2\2\u0171\u03c8\3\2\2\2\u0173\u03cb\3\2\2\2\u0175\u03ce")
        buf.write("\3\2\2\2\u0177\u03d1\3\2\2\2\u0179\u03d4\3\2\2\2\u017b")
        buf.write("\u03d7\3\2\2\2\u017d\u03da\3\2\2\2\u017f\u03dd\3\2\2\2")
        buf.write("\u0181\u03e0\3\2\2\2\u0183\u03e3\3\2\2\2\u0185\u03e6\3")
        buf.write("\2\2\2\u0187\u03e9\3\2\2\2\u0189\u03ec\3\2\2\2\u018b\u03ee")
        buf.write("\3\2\2\2\u018d\u03f2\3\2\2\2\u018f\u03f4\3\2\2\2\u0191")
        buf.write("\u03f6\3\2\2\2\u0193\u03f8\3\2\2\2\u0195\u03fb\3\2\2\2")
        buf.write("\u0197\u0401\3\2\2\2\u0199\u0408\3\2\2\2\u019b\u019d\5")
        buf.write("\7\4\2\u019c\u019b\3\2\2\2\u019d\u019e\3\2\2\2\u019e\u019c")
        buf.write("\3\2\2\2\u019e\u019f\3\2\2\2\u019f\u01a3\3\2\2\2\u01a0")
        buf.write("\u01a2\5\5\3\2\u01a1\u01a0\3\2\2\2\u01a2\u01a5\3\2\2\2")
        buf.write("\u01a3\u01a1\3\2\2\2\u01a3\u01a4\3\2\2\2\u01a4\4\3\2\2")
        buf.write("\2\u01a5\u01a3\3\2\2\2\u01a6\u01a9\5\7\4\2\u01a7\u01a9")
        buf.write("\5\23\n\2\u01a8\u01a6\3\2\2\2\u01a8\u01a7\3\2\2\2\u01a9")
        buf.write("\6\3\2\2\2\u01aa\u01ad\5\t\5\2\u01ab\u01ad\5\13\6\2\u01ac")
        buf.write("\u01aa\3\2\2\2\u01ac\u01ab\3\2\2\2\u01ad\b\3\2\2\2\u01ae")
        buf.write("\u01af\t\2\2\2\u01af\n\3\2\2\2\u01b0\u01b1\t\3\2\2\u01b1")
        buf.write("\f\3\2\2\2\u01b2\u01b3\5\21\t\2\u01b3\u01b7\5\u0105\u0083")
        buf.write("\2\u01b4\u01b6\5\23\n\2\u01b5\u01b4\3\2\2\2\u01b6\u01b9")
        buf.write("\3\2\2\2\u01b7\u01b5\3\2\2\2\u01b7\u01b8\3\2\2\2\u01b8")
        buf.write("\u01c4\3\2\2\2\u01b9\u01b7\3\2\2\2\u01ba\u01bc\5\23\n")
        buf.write("\2\u01bb\u01ba\3\2\2\2\u01bc\u01bf\3\2\2\2\u01bd\u01bb")
        buf.write("\3\2\2\2\u01bd\u01be\3\2\2\2\u01be\u01c0\3\2\2\2\u01bf")
        buf.write("\u01bd\3\2\2\2\u01c0\u01c1\5\u0105\u0083\2\u01c1\u01c2")
        buf.write("\5\21\t\2\u01c2\u01c4\3\2\2\2\u01c3\u01b2\3\2\2\2\u01c3")
        buf.write("\u01bd\3\2\2\2\u01c4\16\3\2\2\2\u01c5\u01e2\5\u0107\u0084")
        buf.write("\2\u01c6\u01c8\5\25\13\2\u01c7\u01c6\3\2\2\2\u01c8\u01c9")
        buf.write("\3\2\2\2\u01c9\u01c7\3\2\2\2\u01c9\u01ca\3\2\2\2\u01ca")
        buf.write("\u01cc\3\2\2\2\u01cb\u01cd\5\u0105\u0083\2\u01cc\u01cb")
        buf.write("\3\2\2\2\u01cc\u01cd\3\2\2\2\u01cd\u01d1\3\2\2\2\u01ce")
        buf.write("\u01d0\5\25\13\2\u01cf\u01ce\3\2\2\2\u01d0\u01d3\3\2\2")
        buf.write("\2\u01d1\u01cf\3\2\2\2\u01d1\u01d2\3\2\2\2\u01d2\u01e3")
        buf.write("\3\2\2\2\u01d3\u01d1\3\2\2\2\u01d4\u01d6\5\25\13\2\u01d5")
        buf.write("\u01d4\3\2\2\2\u01d6\u01d9\3\2\2\2\u01d7\u01d5\3\2\2\2")
        buf.write("\u01d7\u01d8\3\2\2\2\u01d8\u01db\3\2\2\2\u01d9\u01d7\3")
        buf.write("\2\2\2\u01da\u01dc\5\u0105\u0083\2\u01db\u01da\3\2\2\2")
        buf.write("\u01db\u01dc\3\2\2\2\u01dc\u01de\3\2\2\2\u01dd\u01df\5")
        buf.write("\25\13\2\u01de\u01dd\3\2\2\2\u01df\u01e0\3\2\2\2\u01e0")
        buf.write("\u01de\3\2\2\2\u01e0\u01e1\3\2\2\2\u01e1\u01e3\3\2\2\2")
        buf.write("\u01e2\u01c7\3\2\2\2\u01e2\u01d7\3\2\2\2\u01e3\20\3\2")
        buf.write("\2\2\u01e4\u01e6\5\23\n\2\u01e5\u01e4\3\2\2\2\u01e6\u01e7")
        buf.write("\3\2\2\2\u01e7\u01e5\3\2\2\2\u01e7\u01e8\3\2\2\2\u01e8")
        buf.write("\22\3\2\2\2\u01e9\u01ea\t\4\2\2\u01ea\24\3\2\2\2\u01eb")
        buf.write("\u01ee\5\23\n\2\u01ec\u01ee\t\5\2\2\u01ed\u01eb\3\2\2")
        buf.write("\2\u01ed\u01ec\3\2\2\2\u01ee\26\3\2\2\2\u01ef\u01f1\5")
        buf.write("Y-\2\u01f0\u01f2\5\31\r\2\u01f1\u01f0\3\2\2\2\u01f1\u01f2")
        buf.write("\3\2\2\2\u01f2\u01f3\3\2\2\2\u01f3\u01f4\5Y-\2\u01f4\30")
        buf.write("\3\2\2\2\u01f5\u01f7\5\33\16\2\u01f6\u01f5\3\2\2\2\u01f7")
        buf.write("\u01f8\3\2\2\2\u01f8\u01f6\3\2\2\2\u01f8\u01f9\3\2\2\2")
        buf.write("\u01f9\32\3\2\2\2\u01fa\u01fd\n\6\2\2\u01fb\u01fd\5\35")
        buf.write("\17\2\u01fc\u01fa\3\2\2\2\u01fc\u01fb\3\2\2\2\u01fd\34")
        buf.write("\3\2\2\2\u01fe\u01ff\5\u012b\u0096\2\u01ff\u0200\t\7\2")
        buf.write("\2\u0200\u0203\3\2\2\2\u0201\u0203\5\37\20\2\u0202\u01fe")
        buf.write("\3\2\2\2\u0202\u0201\3\2\2\2\u0203\36\3\2\2\2\u0204\u0205")
        buf.write("\5\u012b\u0096\2\u0205\u0206\5\u00d5k\2\u0206\u0207\5")
        buf.write("!\21\2\u0207\u0208\5!\21\2\u0208\u0209\5!\21\2\u0209\u020a")
        buf.write("\5!\21\2\u020a \3\2\2\2\u020b\u020c\t\b\2\2\u020c\"\3")
        buf.write("\2\2\2\u020d\u0211\5\63\32\2\u020e\u0210\13\2\2\2\u020f")
        buf.write("\u020e\3\2\2\2\u0210\u0213\3\2\2\2\u0211\u0212\3\2\2\2")
        buf.write("\u0211\u020f\3\2\2\2\u0212\u0214\3\2\2\2\u0213\u0211\3")
        buf.write("\2\2\2\u0214\u0215\5\65\33\2\u0215\u0216\3\2\2\2\u0216")
        buf.write("\u0217\b\22\2\2\u0217$\3\2\2\2\u0218\u0219\7*\2\2\u0219")
        buf.write("\u021a\b\23\3\2\u021a&\3\2\2\2\u021b\u021c\7+\2\2\u021c")
        buf.write("\u021d\b\24\4\2\u021d(\3\2\2\2\u021e\u021f\7}\2\2\u021f")
        buf.write("\u0220\b\25\5\2\u0220*\3\2\2\2\u0221\u0222\7\177\2\2\u0222")
        buf.write("\u0223\b\26\6\2\u0223,\3\2\2\2\u0224\u0225\7]\2\2\u0225")
        buf.write("\u0226\b\27\7\2\u0226.\3\2\2\2\u0227\u0228\7_\2\2\u0228")
        buf.write("\u0229\b\30\b\2\u0229\60\3\2\2\2\u022a\u022b\7.\2\2\u022b")
        buf.write("\62\3\2\2\2\u022c\u022d\7*\2\2\u022d\u022e\7,\2\2\u022e")
        buf.write("\64\3\2\2\2\u022f\u0230\7,\2\2\u0230\u0231\7+\2\2\u0231")
        buf.write("\66\3\2\2\2\u0232\u0233\7\u232b\2\2\u0233\u0234\b\34\t")
        buf.write("\2\u02348\3\2\2\2\u0235\u0236\7\u232c\2\2\u0236\u0237")
        buf.write("\b\35\n\2\u0237:\3\2\2\2\u0238\u0239\7\u230c\2\2\u0239")
        buf.write("\u023a\b\36\13\2\u023a<\3\2\2\2\u023b\u023c\7\u230d\2")
        buf.write("\2\u023c\u023d\b\37\f\2\u023d>\3\2\2\2\u023e\u023f\7\u230a")
        buf.write("\2\2\u023f\u0240\b \r\2\u0240@\3\2\2\2\u0241\u0242\7\u230b")
        buf.write("\2\2\u0242\u0243\b!\16\2\u0243B\3\2\2\2\u0244\u0245\7")
        buf.write("~\2\2\u0245\u0246\7~\2\2\u0246D\3\2\2\2\u0247\u0248\7")
        buf.write("~\2\2\u0248F\3\2\2\2\u0249\u024a\7\u301c\2\2\u024a\u024b")
        buf.write("\b$\17\2\u024bH\3\2\2\2\u024c\u024d\7\u301d\2\2\u024d")
        buf.write("\u024e\b%\20\2\u024eJ\3\2\2\2\u024f\u0250\7\uf605\2\2")
        buf.write("\u0250\u0251\b&\21\2\u0251L\3\2\2\2\u0252\u0253\7\uf606")
        buf.write("\2\2\u0253\u0254\b\'\22\2\u0254N\3\2\2\2\u0255\u0256\7")
        buf.write("\uf607\2\2\u0256\u0257\b(\23\2\u0257P\3\2\2\2\u0258\u0259")
        buf.write("\7\uf608\2\2\u0259\u025a\b)\24\2\u025aR\3\2\2\2\u025b")
        buf.write("\u025c\7b\2\2\u025c\u025d\7b\2\2\u025dT\3\2\2\2\u025e")
        buf.write("\u025f\7b\2\2\u025fV\3\2\2\2\u0260\u0261\7)\2\2\u0261")
        buf.write("X\3\2\2\2\u0262\u0263\7$\2\2\u0263Z\3\2\2\2\u0264\u0265")
        buf.write("\7>\2\2\u0265\u0266\7>\2\2\u0266\\\3\2\2\2\u0267\u0268")
        buf.write("\7@\2\2\u0268\u0269\7@\2\2\u0269\u026a\7@\2\2\u026a^\3")
        buf.write("\2\2\2\u026b\u026c\7@\2\2\u026c\u026d\7@\2\2\u026d`\3")
        buf.write("\2\2\2\u026e\u026f\7?\2\2\u026f\u0270\7?\2\2\u0270\u0271")
        buf.write("\7?\2\2\u0271b\3\2\2\2\u0272\u0273\7?\2\2\u0273\u0274")
        buf.write("\7#\2\2\u0274\u0275\7?\2\2\u0275d\3\2\2\2\u0276\u0279")
        buf.write("\5g\64\2\u0277\u0279\5i\65\2\u0278\u0276\3\2\2\2\u0278")
        buf.write("\u0277\3\2\2\2\u0279f\3\2\2\2\u027a\u027b\7\uf7db\2\2")
        buf.write("\u027bh\3\2\2\2\u027c\u027d\7?\2\2\u027d\u027e\7?\2\2")
        buf.write("\u027ej\3\2\2\2\u027f\u0280\7?\2\2\u0280l\3\2\2\2\u0281")
        buf.write("\u0284\5o8\2\u0282\u0284\5q9\2\u0283\u0281\3\2\2\2\u0283")
        buf.write("\u0282\3\2\2\2\u0284n\3\2\2\2\u0285\u0286\7#\2\2\u0286")
        buf.write("\u0287\7?\2\2\u0287p\3\2\2\2\u0288\u0289\7\u2262\2\2\u0289")
        buf.write("r\3\2\2\2\u028a\u028e\5u;\2\u028b\u028e\5w<\2\u028c\u028e")
        buf.write("\5y=\2\u028d\u028a\3\2\2\2\u028d\u028b\3\2\2\2\u028d\u028c")
        buf.write("\3\2\2\2\u028et\3\2\2\2\u028f\u0290\7@\2\2\u0290\u0291")
        buf.write("\7?\2\2\u0291v\3\2\2\2\u0292\u0293\7\u2267\2\2\u0293x")
        buf.write("\3\2\2\2\u0294\u0295\7\u2a80\2\2\u0295z\3\2\2\2\u0296")
        buf.write("\u029a\5}?\2\u0297\u029a\5\177@\2\u0298\u029a\5\u0081")
        buf.write("A\2\u0299\u0296\3\2\2\2\u0299\u0297\3\2\2\2\u0299\u0298")
        buf.write("\3\2\2\2\u029a|\3\2\2\2\u029b\u029c\7>\2\2\u029c\u029d")
        buf.write("\7?\2\2\u029d~\3\2\2\2\u029e\u029f\7\u2266\2\2\u029f\u0080")
        buf.write("\3\2\2\2\u02a0\u02a1\7\u2a7f\2\2\u02a1\u0082\3\2\2\2\u02a2")
        buf.write("\u02a3\7>\2\2\u02a3\u0084\3\2\2\2\u02a4\u02a5\7@\2\2\u02a5")
        buf.write("\u0086\3\2\2\2\u02a6\u02a7\7\uf3d2\2\2\u02a7\u0088\3\2")
        buf.write("\2\2\u02a8\u02a9\7\uf3d3\2\2\u02a9\u008a\3\2\2\2\u02aa")
        buf.write("\u02ab\7\u2227\2\2\u02ab\u008c\3\2\2\2\u02ac\u02ad\7\u2228")
        buf.write("\2\2\u02ad\u008e\3\2\2\2\u02ae\u02af\7\u220a\2\2\u02af")
        buf.write("\u0090\3\2\2\2\u02b0\u02b1\7\u220b\2\2\u02b1\u0092\3\2")
        buf.write("\2\2\u02b2\u02b3\7\u2284\2\2\u02b3\u0094\3\2\2\2\u02b4")
        buf.write("\u02b5\7\u2285\2\2\u02b5\u0096\3\2\2\2\u02b6\u02b7\7\u00ae")
        buf.write("\2\2\u02b7\u0098\3\2\2\2\u02b8\u02b9\7(\2\2\u02b9\u02ba")
        buf.write("\7(\2\2\u02ba\u009a\3\2\2\2\u02bb\u02bc\7\u2229\2\2\u02bc")
        buf.write("\u009c\3\2\2\2\u02bd\u02be\7\u22be\2\2\u02be\u009e\3\2")
        buf.write("\2\2\u02bf\u02c0\7\u22bd\2\2\u02c0\u00a0\3\2\2\2\u02c1")
        buf.write("\u02c2\7\uf4a4\2\2\u02c2\u00a2\3\2\2\2\u02c3\u02c4\7\u222a")
        buf.write("\2\2\u02c4\u00a4\3\2\2\2\u02c5\u02c6\7\u22bf\2\2\u02c6")
        buf.write("\u00a6\3\2\2\2\u02c7\u02c8\7\u29e8\2\2\u02c8\u00a8\3\2")
        buf.write("\2\2\u02c9\u02ca\7\uf525\2\2\u02ca\u00aa\3\2\2\2\u02cb")
        buf.write("\u02cc\7\u2972\2\2\u02cc\u00ac\3\2\2\2\u02cd\u02ce\7\u22a4")
        buf.write("\2\2\u02ce\u00ae\3\2\2\2\u02cf\u02d0\7\u22aa\2\2\u02d0")
        buf.write("\u00b0\3\2\2\2\u02d1\u02d2\7\u22a5\2\2\u02d2\u00b2\3\2")
        buf.write("\2\2\u02d3\u02d4\7\u2ae6\2\2\u02d4\u00b4\3\2\2\2\u02d5")
        buf.write("\u02d6\7\u22a7\2\2\u02d6\u00b6\3\2\2\2\u02d7\u02d8\7\u22a6")
        buf.write("\2\2\u02d8\u00b8\3\2\2\2\u02d9\u02da\7\u220f\2\2\u02da")
        buf.write("\u00ba\3\2\2\2\u02db\u02dc\7\u2236\2\2\u02dc\u00bc\3\2")
        buf.write("\2\2\u02dd\u02de\7\u2237\2\2\u02de\u00be\3\2\2\2\u02df")
        buf.write("\u02e0\7\60\2\2\u02e0\u02e1\7\60\2\2\u02e1\u02e2\7\60")
        buf.write("\2\2\u02e2\u00c0\3\2\2\2\u02e3\u02e4\7\60\2\2\u02e4\u02e5")
        buf.write("\7\60\2\2\u02e5\u00c2\3\2\2\2\u02e6\u02e7\7A\2\2\u02e7")
        buf.write("\u00c4\3\2\2\2\u02e8\u02e9\7a\2\2\u02e9\u02ea\7a\2\2\u02ea")
        buf.write("\u02eb\7a\2\2\u02eb\u00c6\3\2\2\2\u02ec\u02ed\7a\2\2\u02ed")
        buf.write("\u02ee\7a\2\2\u02ee\u00c8\3\2\2\2\u02ef\u02f0\7a\2\2\u02f0")
        buf.write("\u02f1\7\60\2\2\u02f1\u00ca\3\2\2\2\u02f2\u02f3\7a\2\2")
        buf.write("\u02f3\u00cc\3\2\2\2\u02f4\u02f5\5\u00d1i\2\u02f5\u02f6")
        buf.write("\5\21\t\2\u02f6\u00ce\3\2\2\2\u02f7\u02f9\5\u00d1i\2\u02f8")
        buf.write("\u02f7\3\2\2\2\u02f9\u02fa\3\2\2\2\u02fa\u02f8\3\2\2\2")
        buf.write("\u02fa\u02fb\3\2\2\2\u02fb\u00d0\3\2\2\2\u02fc\u02fd\7")
        buf.write("\'\2\2\u02fd\u00d2\3\2\2\2\u02fe\u02ff\7<\2\2\u02ff\u0300")
        buf.write("\7<\2\2\u0300\u00d4\3\2\2\2\u0301\u0302\7<\2\2\u0302\u00d6")
        buf.write("\3\2\2\2\u0303\u0304\7\u0080\2\2\u0304\u0305\7\u0080\2")
        buf.write("\2\u0305\u00d8\3\2\2\2\u0306\u0307\7\61\2\2\u0307\u0308")
        buf.write("\7=\2\2\u0308\u00da\3\2\2\2\u0309\u030a\7/\2\2\u030a\u030b")
        buf.write("\7@\2\2\u030b\u00dc\3\2\2\2\u030c\u030d\7\uf524\2\2\u030d")
        buf.write("\u00de\3\2\2\2\u030e\u030f\7<\2\2\u030f\u0310\7@\2\2\u0310")
        buf.write("\u00e0\3\2\2\2\u0311\u0312\7\uf521\2\2\u0312\u00e2\3\2")
        buf.write("\2\2\u0313\u0314\7\61\2\2\u0314\u0315\7\60\2\2\u0315\u00e4")
        buf.write("\3\2\2\2\u0316\u0317\7\61\2\2\u0317\u0318\7\61\2\2\u0318")
        buf.write("\u0319\7\60\2\2\u0319\u00e6\3\2\2\2\u031a\u031b\5\u00ef")
        buf.write("x\2\u031b\u031c\5\21\t\2\u031c\u00e8\3\2\2\2\u031d\u031e")
        buf.write("\5\u00efx\2\u031e\u031f\5\27\f\2\u031f\u00ea\3\2\2\2\u0320")
        buf.write("\u0321\5\u00edw\2\u0321\u0322\5\21\t\2\u0322\u00ec\3\2")
        buf.write("\2\2\u0323\u0324\7%\2\2\u0324\u0325\7%\2\2\u0325\u00ee")
        buf.write("\3\2\2\2\u0326\u0327\7%\2\2\u0327\u00f0\3\2\2\2\u0328")
        buf.write("\u0329\7-\2\2\u0329\u032a\7?\2\2\u032a\u00f2\3\2\2\2\u032b")
        buf.write("\u032c\7/\2\2\u032c\u032d\7?\2\2\u032d\u00f4\3\2\2\2\u032e")
        buf.write("\u032f\7,\2\2\u032f\u0330\7?\2\2\u0330\u00f6\3\2\2\2\u0331")
        buf.write("\u0332\7\61\2\2\u0332\u0333\7?\2\2\u0333\u00f8\3\2\2\2")
        buf.write("\u0334\u0335\7(\2\2\u0335\u00fa\3\2\2\2\u0336\u0337\7")
        buf.write("`\2\2\u0337\u0338\7<\2\2\u0338\u0339\7?\2\2\u0339\u00fc")
        buf.write("\3\2\2\2\u033a\u033b\7<\2\2\u033b\u033c\7?\2\2\u033c\u00fe")
        buf.write("\3\2\2\2\u033d\u033e\7`\2\2\u033e\u033f\7?\2\2\u033f\u0100")
        buf.write("\3\2\2\2\u0340\u0341\7\61\2\2\u0341\u0342\7<\2\2\u0342")
        buf.write("\u0102\3\2\2\2\u0343\u0344\7\uf4a3\2\2\u0344\u0104\3\2")
        buf.write("\2\2\u0345\u0346\7\60\2\2\u0346\u0106\3\2\2\2\u0347\u0348")
        buf.write("\7`\2\2\u0348\u0349\7`\2\2\u0349\u0108\3\2\2\2\u034a\u034b")
        buf.write("\7`\2\2\u034b\u010a\3\2\2\2\u034c\u034d\7,\2\2\u034d\u034e")
        buf.write("\7`\2\2\u034e\u010c\3\2\2\2\u034f\u0350\7-\2\2\u0350\u0351")
        buf.write("\7-\2\2\u0351\u010e\3\2\2\2\u0352\u0353\7/\2\2\u0353\u0354")
        buf.write("\7/\2\2\u0354\u0110\3\2\2\2\u0355\u0356\7B\2\2\u0356\u0357")
        buf.write("\7B\2\2\u0357\u0358\7B\2\2\u0358\u0112\3\2\2\2\u0359\u035a")
        buf.write("\7B\2\2\u035a\u035b\7B\2\2\u035b\u0114\3\2\2\2\u035c\u035d")
        buf.write("\7B\2\2\u035d\u035e\7,\2\2\u035e\u0116\3\2\2\2\u035f\u0360")
        buf.write("\7B\2\2\u0360\u0118\3\2\2\2\u0361\u0362\7\61\2\2\u0362")
        buf.write("\u0363\7B\2\2\u0363\u011a\3\2\2\2\u0364\u0365\7\61\2\2")
        buf.write("\u0365\u0366\7,\2\2\u0366\u011c\3\2\2\2\u0367\u0368\7")
        buf.write("\61\2\2\u0368\u0369\7\61\2\2\u0369\u036a\7B\2\2\u036a")
        buf.write("\u011e\3\2\2\2\u036b\u036c\7#\2\2\u036c\u036d\7#\2\2\u036d")
        buf.write("\u0120\3\2\2\2\u036e\u036f\7#\2\2\u036f\u0122\3\2\2\2")
        buf.write("\u0370\u0371\7>\2\2\u0371\u0372\7@\2\2\u0372\u0124\3\2")
        buf.write("\2\2\u0373\u0374\7\u222d\2\2\u0374\u0126\3\2\2\2\u0375")
        buf.write("\u0376\7\uf74e\2\2\u0376\u0128\3\2\2\2\u0377\u0378\7\uf4a2")
        buf.write("\2\2\u0378\u012a\3\2\2\2\u0379\u037a\7^\2\2\u037a\u012c")
        buf.write("\3\2\2\2\u037b\u037c\7\u22c4\2\2\u037c\u012e\3\2\2\2\u037d")
        buf.write("\u037e\7\u22c5\2\2\u037e\u0130\3\2\2\2\u037f\u0380\7=")
        buf.write("\2\2\u0380\u0381\7=\2\2\u0381\u0382\3\2\2\2\u0382\u0383")
        buf.write("\b\u0099\25\2\u0383\u0132\3\2\2\2\u0384\u0385\7=\2\2\u0385")
        buf.write("\u0134\3\2\2\2\u0386\u0387\7\uf3c9\2\2\u0387\u0136\3\2")
        buf.write("\2\2\u0388\u0389\7\uf3cb\2\2\u0389\u0138\3\2\2\2\u038a")
        buf.write("\u038b\7\uf3d0\2\2\u038b\u013a\3\2\2\2\u038c\u038d\7\uf3ca")
        buf.write("\2\2\u038d\u013c\3\2\2\2\u038e\u038f\7\u0080\2\2\u038f")
        buf.write("\u013e\3\2\2\2\u0390\u0391\7\u2209\2\2\u0391\u0140\3\2")
        buf.write("\2\2\u0392\u0393\7\uf522\2\2\u0393\u0142\3\2\2\2\u0394")
        buf.write("\u0395\7\u221a\2\2\u0395\u0144\3\2\2\2\u0396\u0397\7\u229b")
        buf.write("\2\2\u0397\u0146\3\2\2\2\u0398\u0399\7,\2\2\u0399\u039a")
        buf.write("\7,\2\2\u039a\u0148\3\2\2\2\u039b\u039c\7\u2218\2\2\u039c")
        buf.write("\u014a\3\2\2\2\u039d\u039e\7\u22c6\2\2\u039e\u014c\3\2")
        buf.write("\2\2\u039f\u03a0\7\u22c2\2\2\u03a0\u014e\3\2\2\2\u03a1")
        buf.write("\u03a2\7\u22c3\2\2\u03a2\u0150\3\2\2\2\u03a3\u03a4\7\u2299")
        buf.write("\2\2\u03a4\u0152\3\2\2\2\u03a5\u03a6\7\u00b9\2\2\u03a6")
        buf.write("\u0154\3\2\2\2\u03a7\u03a8\7\u22c8\2\2\u03a8\u0156\3\2")
        buf.write("\2\2\u03a9\u03aa\7\u2242\2\2\u03aa\u0158\3\2\2\2\u03ab")
        buf.write("\u03ac\7\u2212\2\2\u03ac\u015a\3\2\2\2\u03ad\u03ae\7\u2324")
        buf.write("\2\2\u03ae\u015c\3\2\2\2\u03af\u03b0\7\u2325\2\2\u03b0")
        buf.write("\u015e\3\2\2\2\u03b1\u03b2\7\u2297\2\2\u03b2\u0160\3\2")
        buf.write("\2\2\u03b3\u03b4\7\u2298\2\2\u03b4\u0162\3\2\2\2\u03b5")
        buf.write("\u03b6\7\u2238\2\2\u03b6\u0164\3\2\2\2\u03b7\u03b8\7\61")
        buf.write("\2\2\u03b8\u03b9\7\61\2\2\u03b9\u0166\3\2\2\2\u03ba\u03bb")
        buf.write("\7\uf434\2\2\u03bb\u0168\3\2\2\2\u03bc\u03bd\7-\2\2\u03bd")
        buf.write("\u03be\b\u00b5\26\2\u03be\u016a\3\2\2\2\u03bf\u03c0\7")
        buf.write("/\2\2\u03c0\u03c1\b\u00b6\27\2\u03c1\u016c\3\2\2\2\u03c2")
        buf.write("\u03c3\7\u00b3\2\2\u03c3\u03c4\b\u00b7\30\2\u03c4\u016e")
        buf.write("\3\2\2\2\u03c5\u03c6\7\u2215\2\2\u03c6\u03c7\b\u00b8\31")
        buf.write("\2\u03c7\u0170\3\2\2\2\u03c8\u03c9\7^\2\2\u03c9\u03ca")
        buf.write("\7b\2\2\u03ca\u0172\3\2\2\2\u03cb\u03cc\7^\2\2\u03cc\u03cd")
        buf.write("\7#\2\2\u03cd\u0174\3\2\2\2\u03ce\u03cf\7^\2\2\u03cf\u03d0")
        buf.write("\7\61\2\2\u03d0\u0176\3\2\2\2\u03d1\u03d2\7^\2\2\u03d2")
        buf.write("\u03d3\7*\2\2\u03d3\u0178\3\2\2\2\u03d4\u03d5\7^\2\2\u03d5")
        buf.write("\u03d6\7\'\2\2\u03d6\u017a\3\2\2\2\u03d7\u03d8\7^\2\2")
        buf.write("\u03d8\u03d9\7(\2\2\u03d9\u017c\3\2\2\2\u03da\u03db\7")
        buf.write("^\2\2\u03db\u03dc\7+\2\2\u03dc\u017e\3\2\2\2\u03dd\u03de")
        buf.write("\7^\2\2\u03de\u03df\7B\2\2\u03df\u0180\3\2\2\2\u03e0\u03e1")
        buf.write("\7^\2\2\u03e1\u03e2\7a\2\2\u03e2\u0182\3\2\2\2\u03e3\u03e4")
        buf.write("\7^\2\2\u03e4\u03e5\7`\2\2\u03e5\u0184\3\2\2\2\u03e6\u03e7")
        buf.write("\7^\2\2\u03e7\u03e8\7-\2\2\u03e8\u0186\3\2\2\2\u03e9\u03ea")
        buf.write("\7^\2\2\u03ea\u03eb\7,\2\2\u03eb\u0188\3\2\2\2\u03ec\u03ed")
        buf.write("\7\61\2\2\u03ed\u018a\3\2\2\2\u03ee\u03ef\7\u00f9\2\2")
        buf.write("\u03ef\u018c\3\2\2\2\u03f0\u03f3\5\u018f\u00c8\2\u03f1")
        buf.write("\u03f3\5\u0191\u00c9\2\u03f2\u03f0\3\2\2\2\u03f2\u03f1")
        buf.write("\3\2\2\2\u03f3\u018e\3\2\2\2\u03f4\u03f5\7,\2\2\u03f5")
        buf.write("\u0190\3\2\2\2\u03f6\u03f7\7\u00d9\2\2\u03f7\u0192\3\2")
        buf.write("\2\2\u03f8\u03f9\7\f\2\2\u03f9\u03fa\b\u00ca\32\2\u03fa")
        buf.write("\u0194\3\2\2\2\u03fb\u03fc\7\uf3b3\2\2\u03fc\u03fd\3\2")
        buf.write("\2\2\u03fd\u03fe\b\u00cb\2\2\u03fe\u0196\3\2\2\2\u03ff")
        buf.write("\u0402\t\t\2\2\u0400\u0402\5\u0199\u00cd\2\u0401\u03ff")
        buf.write("\3\2\2\2\u0401\u0400\3\2\2\2\u0402\u0403\3\2\2\2\u0403")
        buf.write("\u0401\3\2\2\2\u0403\u0404\3\2\2\2\u0404\u0405\3\2\2\2")
        buf.write("\u0405\u0406\b\u00cc\2\2\u0406\u0198\3\2\2\2\u0407\u0409")
        buf.write("\t\n\2\2\u0408\u0407\3\2\2\2\u0409\u019a\3\2\2\2!\2\u019e")
        buf.write("\u01a3\u01a8\u01ac\u01b7\u01bd\u01c3\u01c9\u01cc\u01d1")
        buf.write("\u01d7\u01db\u01e0\u01e2\u01e7\u01ed\u01f1\u01f8\u01fc")
        buf.write("\u0202\u0211\u0278\u0283\u028d\u0299\u02fa\u03f2\u0401")
        buf.write("\u0403\u0408\33\b\2\2\3\23\2\3\24\3\3\25\4\3\26\5\3\27")
        buf.write("\6\3\30\7\3\34\b\3\35\t\3\36\n\3\37\13\3 \f\3!\r\3$\16")
        buf.write("\3%\17\3&\20\3\'\21\3(\22\3)\23\3\u0099\24\3\u00b5\25")
        buf.write("\3\u00b6\26\3\u00b7\27\3\u00b8\30\3\u00ca\31")
        return buf.getvalue()


class InputFormLexer(LexerBase):

    atn = ATNDeserializer().deserialize(serializedATN())

    decisionsToDFA = [ DFA(ds, i) for i, ds in enumerate(atn.decisionToState) ]

    Name = 1
    DecimalNumber = 2
    NumberInBase = 3
    DIGITS = 4
    StringLiteral = 5
    COMMENT = 6
    LPAREN = 7
    RPAREN = 8
    LBRACE = 9
    RBRACE = 10
    LBRACKET = 11
    RBRACKET = 12
    COMMA = 13
    LCOMMENT = 14
    RCOMMENT = 15
    LANGLE = 16
    RANGLE = 17
    LFLOOR = 18
    RFLOOR = 19
    LCEILING = 20
    RCEILING = 21
    DOUBLEBAR = 22
    BAR = 23
    LBARBRACKET = 24
    RBARBRACKET = 25
    LBRACKETINGBAR = 26
    RBRACKETINGBAR = 27
    LDOUBLEBRACKETINGBAR = 28
    RDOUBLEBRACKETINGBAR = 29
    DOUBLEBACKQUOTE = 30
    BACKQUOTE = 31
    SINGLEQUOTE = 32
    QUOTE = 33
    DOUBLELESS = 34
    TRIPPLEGREATER = 35
    DOUBLEGREATER = 36
    TRIPPLEEQUAL = 37
    EQUALBANGEQUAL = 38
    EqualSymbol = 39
    EQUAL = 40
    NotEqualSymbol = 41
    GreaterEqualSymbol = 42
    LessEqualSymbol = 43
    LESS = 44
    GREATER = 45
    VERTICALBAR = 46
    NOTVERTICALBAR = 47
    DOUBLEVERTICALBAR = 48
    NOTDOUBLEVERTICALBAR = 49
    ELEMENT = 50
    NOTELEMENT = 51
    SUBSET = 52
    SUPERSET = 53
    NOT = 54
    DOUBLEAMP = 55
    AND = 56
    NAND = 57
    XOR = 58
    XNOR = 59
    OR = 60
    NOR = 61
    LRDOUBLEARROW = 62
    RDOUBLEARROW = 63
    LCONTAINS = 64
    RIGHTTEE = 65
    DOUBLERIGHTTEE = 66
    LEFTTEE = 67
    DOUBLELEFTTEE = 68
    UPTEE = 69
    DOWNTEE = 70
    SUCHTHAT = 71
    THEREFORE = 72
    BECAUSE = 73
    TRIPPLEDOT = 74
    DOUBLEDOT = 75
    QUESTIONMARK = 76
    TRIPPLEBLANK = 77
    DOUBLEBLANK = 78
    BLANKDOT = 79
    BLANK = 80
    PERCENTDIGITS = 81
    PERCENTS = 82
    DOUBLECOLON = 83
    RAWCOLON = 84
    DOUBLETILDE = 85
    SLASHSEMI = 86
    MINUSGREATER = 87
    RARROW = 88
    COLONGREATER = 89
    COLONARROW = 90
    SLASHDOT = 91
    DOUBLESLASHDOT = 92
    HASHDIGITS = 93
    HASHStringLiteral = 94
    DOUBLEHASHDIGITS = 95
    DOUBLEHASH = 96
    HASH = 97
    PLUSEQUAL = 98
    MINUSEQUAL = 99
    ASTERISKEQUAL = 100
    SLASHEQUAL = 101
    AMP = 102
    CARETCOLONEQUAL = 103
    COLONEQUAL = 104
    CARETEQUAL = 105
    SLASHCOLON = 106
    FUNCTIONARROW = 107
    DOT = 108
    DOUBLECARET = 109
    CARET = 110
    ASTERISKCARET = 111
    DOUBLEPLUS = 112
    DOUBLEMINUS = 113
    TRIPPLEAT = 114
    DOUBLEAT = 115
    ATASTERISK = 116
    AT = 117
    MAP = 118
    SLASHASTERISK = 119
    MAPALL = 120
    DOUBLEBANG = 121
    BANG = 122
    LESSGREATER = 123
    INTEGRAL = 124
    DIFFERENTIALD = 125
    CROSS = 126
    RAWBACKSLASH = 127
    INTERSECTION = 128
    UNION = 129
    DOUBLESEMICOLON = 130
    SEMICOLON = 131
    TRANSPOSE = 132
    CONJUGATETRANSPOSE = 133
    HERMITIANCONJUGATE = 134
    CONJUGATE = 135
    TILDE = 136
    DEL = 137
    SQUARE = 138
    SMALLCIRCLE = 139
    CIRCLEDOT = 140
    DOUBLEASTERISK = 141
    BACKSLASH = 142
    DIAMOND = 143
    WEDGE = 144
    VEE = 145
    CIRCLETIMES = 146
    CENTERDOT = 147
    STAR = 148
    VERTICALTILDE = 149
    COPRODUCT = 150
    CAP = 151
    CUP = 152
    CIRCLEPLUS = 153
    CIRCLEMINUS = 154
    COLON = 155
    DOUBLESLASH = 156
    VERTICALSEPARATOR = 157
    PLUS = 158
    MINUS = 159
    PLUSMINUS = 160
    MINUSPLUS = 161
    FormBox = 162
    InterpretedBox = 163
    BoxFraction = 164
    BoxLeftBoxParenthesis = 165
    BoxOtherscript = 166
    BoxOverscript = 167
    BoxRightBoxParenthesis = 168
    BoxSqrt = 169
    BoxSubscript = 170
    BoxSuperscript = 171
    BoxUnderscript = 172
    BoxConstructor = 173
    SLASH = 174
    DIVIDE = 175
    MultiplicationSymbol = 176
    ASTERISK = 177
    TIMES = 178
    NEWLINE = 179
    CONTINUATION = 180
    WHITESPACE = 181

    channelNames = [ u"DEFAULT_TOKEN_CHANNEL", u"HIDDEN" ]

    modeNames = [ "DEFAULT_MODE" ]

    literalNames = [ "<INVALID>",
            "'('", "')'", "'{'", "'}'", "'['", "']'", "','", "'(*'", "'*)'", 
            "'\u2329'", "'\u232A'", "'\u230A'", "'\u230B'", "'\u2308'", 
            "'\u2309'", "'||'", "'|'", "'\u301A'", "'\u301B'", "'\uF603'", 
            "'\uF604'", "'\uF605'", "'\uF606'", "'``'", "'`'", "'''", "'\"'", 
            "'<<'", "'>>>'", "'>>'", "'==='", "'=!='", "'='", "'<'", "'>'", 
            "'\uF3D0'", "'\uF3D1'", "'\u2225'", "'\u2226'", "'\u2208'", 
            "'\u2209'", "'\u2282'", "'\u2283'", "'\u00AC'", "'&&'", "'\u2227'", 
            "'\u22BC'", "'\u22BB'", "'\uF4A2'", "'\u2228'", "'\u22BD'", 
            "'\u29E6'", "'\uF523'", "'\u2970'", "'\u22A2'", "'\u22A8'", 
            "'\u22A3'", "'\u2AE4'", "'\u22A5'", "'\u22A4'", "'\u220D'", 
            "'\u2234'", "'\u2235'", "'...'", "'..'", "'?'", "'___'", "'__'", 
            "'_.'", "'_'", "'::'", "':'", "'~~'", "'/;'", "'->'", "'\uF522'", 
            "':>'", "'\uF51F'", "'/.'", "'//.'", "'##'", "'#'", "'+='", 
            "'-='", "'*='", "'/='", "'&'", "'^:='", "':='", "'^='", "'/:'", 
            "'\uF4A1'", "'.'", "'^^'", "'^'", "'*^'", "'++'", "'--'", "'@@@'", 
            "'@@'", "'@*'", "'@'", "'/@'", "'/*'", "'//@'", "'!!'", "'!'", 
            "'<>'", "'\u222B'", "'\uF74C'", "'\uF4A0'", "'\\'", "'\u22C2'", 
            "'\u22C3'", "';;'", "';'", "'\uF3C7'", "'\uF3C9'", "'\uF3CE'", 
            "'\uF3C8'", "'~'", "'\u2207'", "'\uF520'", "'\u2218'", "'\u2299'", 
            "'**'", "'\u2216'", "'\u22C4'", "'\u22C0'", "'\u22C1'", "'\u2297'", 
            "'\u00B7'", "'\u22C6'", "'\u2240'", "'\u2210'", "'\u2322'", 
            "'\u2323'", "'\u2295'", "'\u2296'", "'\u2236'", "'//'", "'\uF432'", 
            "'+'", "'-'", "'\u00B1'", "'\u2213'", "'\\`'", "'\\!'", "'\\/'", 
            "'\\('", "'\\%'", "'\\&'", "'\\)'", "'\\@'", "'\\_'", "'\\^'", 
            "'\\+'", "'\\*'", "'/'", "'\u00F7'", "'*'", "'\u00D7'", "'\n'", 
            "'\uF3B1'" ]

    symbolicNames = [ "<INVALID>",
            "Name", "DecimalNumber", "NumberInBase", "DIGITS", "StringLiteral", 
            "COMMENT", "LPAREN", "RPAREN", "LBRACE", "RBRACE", "LBRACKET", 
            "RBRACKET", "COMMA", "LCOMMENT", "RCOMMENT", "LANGLE", "RANGLE", 
            "LFLOOR", "RFLOOR", "LCEILING", "RCEILING", "DOUBLEBAR", "BAR", 
            "LBARBRACKET", "RBARBRACKET", "LBRACKETINGBAR", "RBRACKETINGBAR", 
            "LDOUBLEBRACKETINGBAR", "RDOUBLEBRACKETINGBAR", "DOUBLEBACKQUOTE", 
            "BACKQUOTE", "SINGLEQUOTE", "QUOTE", "DOUBLELESS", "TRIPPLEGREATER", 
            "DOUBLEGREATER", "TRIPPLEEQUAL", "EQUALBANGEQUAL", "EqualSymbol", 
            "EQUAL", "NotEqualSymbol", "GreaterEqualSymbol", "LessEqualSymbol", 
            "LESS", "GREATER", "VERTICALBAR", "NOTVERTICALBAR", "DOUBLEVERTICALBAR", 
            "NOTDOUBLEVERTICALBAR", "ELEMENT", "NOTELEMENT", "SUBSET", "SUPERSET", 
            "NOT", "DOUBLEAMP", "AND", "NAND", "XOR", "XNOR", "OR", "NOR", 
            "LRDOUBLEARROW", "RDOUBLEARROW", "LCONTAINS", "RIGHTTEE", "DOUBLERIGHTTEE", 
            "LEFTTEE", "DOUBLELEFTTEE", "UPTEE", "DOWNTEE", "SUCHTHAT", 
            "THEREFORE", "BECAUSE", "TRIPPLEDOT", "DOUBLEDOT", "QUESTIONMARK", 
            "TRIPPLEBLANK", "DOUBLEBLANK", "BLANKDOT", "BLANK", "PERCENTDIGITS", 
            "PERCENTS", "DOUBLECOLON", "RAWCOLON", "DOUBLETILDE", "SLASHSEMI", 
            "MINUSGREATER", "RARROW", "COLONGREATER", "COLONARROW", "SLASHDOT", 
            "DOUBLESLASHDOT", "HASHDIGITS", "HASHStringLiteral", "DOUBLEHASHDIGITS", 
            "DOUBLEHASH", "HASH", "PLUSEQUAL", "MINUSEQUAL", "ASTERISKEQUAL", 
            "SLASHEQUAL", "AMP", "CARETCOLONEQUAL", "COLONEQUAL", "CARETEQUAL", 
            "SLASHCOLON", "FUNCTIONARROW", "DOT", "DOUBLECARET", "CARET", 
            "ASTERISKCARET", "DOUBLEPLUS", "DOUBLEMINUS", "TRIPPLEAT", "DOUBLEAT", 
            "ATASTERISK", "AT", "MAP", "SLASHASTERISK", "MAPALL", "DOUBLEBANG", 
            "BANG", "LESSGREATER", "INTEGRAL", "DIFFERENTIALD", "CROSS", 
            "RAWBACKSLASH", "INTERSECTION", "UNION", "DOUBLESEMICOLON", 
            "SEMICOLON", "TRANSPOSE", "CONJUGATETRANSPOSE", "HERMITIANCONJUGATE", 
            "CONJUGATE", "TILDE", "DEL", "SQUARE", "SMALLCIRCLE", "CIRCLEDOT", 
            "DOUBLEASTERISK", "BACKSLASH", "DIAMOND", "WEDGE", "VEE", "CIRCLETIMES", 
            "CENTERDOT", "STAR", "VERTICALTILDE", "COPRODUCT", "CAP", "CUP", 
            "CIRCLEPLUS", "CIRCLEMINUS", "COLON", "DOUBLESLASH", "VERTICALSEPARATOR", 
            "PLUS", "MINUS", "PLUSMINUS", "MINUSPLUS", "FormBox", "InterpretedBox", 
            "BoxFraction", "BoxLeftBoxParenthesis", "BoxOtherscript", "BoxOverscript", 
            "BoxRightBoxParenthesis", "BoxSqrt", "BoxSubscript", "BoxSuperscript", 
            "BoxUnderscript", "BoxConstructor", "SLASH", "DIVIDE", "MultiplicationSymbol", 
            "ASTERISK", "TIMES", "NEWLINE", "CONTINUATION", "WHITESPACE" ]

    ruleNames = [ "Name", "LetterFormOrDigit", "LetterForm", "Letter", "Letterlike", 
                  "DecimalNumber", "NumberInBase", "DIGITS", "DIGIT", "DigitInAnyBase", 
                  "StringLiteral", "StringCharacters", "StringCharacter", 
                  "EscapeSequence", "UnicodeEscape", "HexDigit", "COMMENT", 
                  "LPAREN", "RPAREN", "LBRACE", "RBRACE", "LBRACKET", "RBRACKET", 
                  "COMMA", "LCOMMENT", "RCOMMENT", "LANGLE", "RANGLE", "LFLOOR", 
                  "RFLOOR", "LCEILING", "RCEILING", "DOUBLEBAR", "BAR", 
                  "LBARBRACKET", "RBARBRACKET", "LBRACKETINGBAR", "RBRACKETINGBAR", 
                  "LDOUBLEBRACKETINGBAR", "RDOUBLEBRACKETINGBAR", "DOUBLEBACKQUOTE", 
                  "BACKQUOTE", "SINGLEQUOTE", "QUOTE", "DOUBLELESS", "TRIPPLEGREATER", 
                  "DOUBLEGREATER", "TRIPPLEEQUAL", "EQUALBANGEQUAL", "EqualSymbol", 
                  "LONGEQUAL", "DOUBLEEQUAL", "EQUAL", "NotEqualSymbol", 
                  "BANGEQUAL", "NOTEQUAL", "GreaterEqualSymbol", "RAWGREATEREQUAL", 
                  "GREATEREQUAL", "GREATERSLANTEQUAL", "LessEqualSymbol", 
                  "RAWLESSEQUAL", "LESSEQUAL", "LESSSLANTEQUAL", "LESS", 
                  "GREATER", "VERTICALBAR", "NOTVERTICALBAR", "DOUBLEVERTICALBAR", 
                  "NOTDOUBLEVERTICALBAR", "ELEMENT", "NOTELEMENT", "SUBSET", 
                  "SUPERSET", "NOT", "DOUBLEAMP", "AND", "NAND", "XOR", 
                  "XNOR", "OR", "NOR", "LRDOUBLEARROW", "RDOUBLEARROW", 
                  "LCONTAINS", "RIGHTTEE", "DOUBLERIGHTTEE", "LEFTTEE", 
                  "DOUBLELEFTTEE", "UPTEE", "DOWNTEE", "SUCHTHAT", "THEREFORE", 
                  "BECAUSE", "TRIPPLEDOT", "DOUBLEDOT", "QUESTIONMARK", 
                  "TRIPPLEBLANK", "DOUBLEBLANK", "BLANKDOT", "BLANK", "PERCENTDIGITS", 
                  "PERCENTS", "PERCENT", "DOUBLECOLON", "RAWCOLON", "DOUBLETILDE", 
                  "SLASHSEMI", "MINUSGREATER", "RARROW", "COLONGREATER", 
                  "COLONARROW", "SLASHDOT", "DOUBLESLASHDOT", "HASHDIGITS", 
                  "HASHStringLiteral", "DOUBLEHASHDIGITS", "DOUBLEHASH", 
                  "HASH", "PLUSEQUAL", "MINUSEQUAL", "ASTERISKEQUAL", "SLASHEQUAL", 
                  "AMP", "CARETCOLONEQUAL", "COLONEQUAL", "CARETEQUAL", 
                  "SLASHCOLON", "FUNCTIONARROW", "DOT", "DOUBLECARET", "CARET", 
                  "ASTERISKCARET", "DOUBLEPLUS", "DOUBLEMINUS", "TRIPPLEAT", 
                  "DOUBLEAT", "ATASTERISK", "AT", "MAP", "SLASHASTERISK", 
                  "MAPALL", "DOUBLEBANG", "BANG", "LESSGREATER", "INTEGRAL", 
                  "DIFFERENTIALD", "CROSS", "RAWBACKSLASH", "INTERSECTION", 
                  "UNION", "DOUBLESEMICOLON", "SEMICOLON", "TRANSPOSE", 
                  "CONJUGATETRANSPOSE", "HERMITIANCONJUGATE", "CONJUGATE", 
                  "TILDE", "DEL", "SQUARE", "SMALLCIRCLE", "CIRCLEDOT", 
                  "DOUBLEASTERISK", "BACKSLASH", "DIAMOND", "WEDGE", "VEE", 
                  "CIRCLETIMES", "CENTERDOT", "STAR", "VERTICALTILDE", "COPRODUCT", 
                  "CAP", "CUP", "CIRCLEPLUS", "CIRCLEMINUS", "COLON", "DOUBLESLASH", 
                  "VERTICALSEPARATOR", "PLUS", "MINUS", "PLUSMINUS", "MINUSPLUS", 
                  "FormBox", "InterpretedBox", "BoxFraction", "BoxLeftBoxParenthesis", 
                  "BoxOtherscript", "BoxOverscript", "BoxRightBoxParenthesis", 
                  "BoxSqrt", "BoxSubscript", "BoxSuperscript", "BoxUnderscript", 
                  "BoxConstructor", "SLASH", "DIVIDE", "MultiplicationSymbol", 
                  "ASTERISK", "TIMES", "NEWLINE", "CONTINUATION", "WHITESPACE", 
                  "SpaceCharacter" ]

    grammarFileName = "InputForm.g4"

    def __init__(self, input=None, output:TextIO = sys.stdout):
        super().__init__(input, output)
        self.checkVersion("4.7.2")
        self._interp = LexerATNSimulator(self, self.atn, self.decisionsToDFA, PredictionContextCache())
        self._actions = None
        self._predicates = None


    def action(self, localctx:RuleContext, ruleIndex:int, actionIndex:int):
        if self._actions is None:
            actions = dict()
            actions[17] = self.LPAREN_action 
            actions[18] = self.RPAREN_action 
            actions[19] = self.LBRACE_action 
            actions[20] = self.RBRACE_action 
            actions[21] = self.LBRACKET_action 
            actions[22] = self.RBRACKET_action 
            actions[26] = self.LANGLE_action 
            actions[27] = self.RANGLE_action 
            actions[28] = self.LFLOOR_action 
            actions[29] = self.RFLOOR_action 
            actions[30] = self.LCEILING_action 
            actions[31] = self.RCEILING_action 
            actions[34] = self.LBARBRACKET_action 
            actions[35] = self.RBARBRACKET_action 
            actions[36] = self.LBRACKETINGBAR_action 
            actions[37] = self.RBRACKETINGBAR_action 
            actions[38] = self.LDOUBLEBRACKETINGBAR_action 
            actions[39] = self.RDOUBLEBRACKETINGBAR_action 
            actions[151] = self.DOUBLESEMICOLON_action 
            actions[179] = self.PLUS_action 
            actions[180] = self.MINUS_action 
            actions[181] = self.PLUSMINUS_action 
            actions[182] = self.MINUSPLUS_action 
            actions[200] = self.NEWLINE_action 
            self._actions = actions
        action = self._actions.get(ruleIndex, None)
        if action is not None:
            action(localctx, actionIndex)
        else:
            raise Exception("No registered action for:" + str(ruleIndex))

    def LPAREN_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 0:
            self.incrementBracketLevel(1);
     

    def RPAREN_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 1:
            self.incrementBracketLevel(-1);
     

    def LBRACE_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 2:
            self.incrementBracketLevel(1);
     

    def RBRACE_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 3:
            self.incrementBracketLevel(-1);
     

    def LBRACKET_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 4:
            self.incrementBracketLevel(1);
     

    def RBRACKET_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 5:
            self.incrementBracketLevel(-1);
     

    def LANGLE_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 6:
            self.incrementBracketLevel(1);
     

    def RANGLE_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 7:
            self.incrementBracketLevel(-1);
     

    def LFLOOR_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 8:
            self.incrementBracketLevel(1);
     

    def RFLOOR_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 9:
            self.incrementBracketLevel(-1);
     

    def LCEILING_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 10:
            self.incrementBracketLevel(1);
     

    def RCEILING_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 11:
            self.incrementBracketLevel(-1);
     

    def LBARBRACKET_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 12:
            self.incrementBracketLevel(1);
     

    def RBARBRACKET_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 13:
            self.incrementBracketLevel(-1);
     

    def LBRACKETINGBAR_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 14:
            self.incrementBracketLevel(1);
     

    def RBRACKETINGBAR_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 15:
            self.incrementBracketLevel(-1);
     

    def LDOUBLEBRACKETINGBAR_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 16:
            self.incrementBracketLevel(1);
     

    def RDOUBLEBRACKETINGBAR_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 17:
            self.incrementBracketLevel(-1);
     

    def DOUBLESEMICOLON_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 18:
            self.checkDoubleSemicolon();
     

    def PLUS_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 19:
             self.checkAdditiveOp(InputFormParser.BINARYPLUS); 
     

    def MINUS_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 20:
             self.checkAdditiveOp(InputFormParser.BINARYMINUS); 
     

    def PLUSMINUS_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 21:
             self.checkAdditiveOp(InputFormParser.BINARYPLUSMINUS); 
     

    def MINUSPLUS_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 22:
             self.checkAdditiveOp(InputFormParser.BINARYMINUSPLUS); 
     

    def NEWLINE_action(self, localctx:RuleContext , actionIndex:int):
        if actionIndex == 23:
             self.checkNewline();
     


